stages:
  - setup
  - triggers

generate-config:
  stage: setup
  image: python
  script:
    - python3 ./generate_gitlabci.py
  artifacts:
    paths:
      - gitlab-ci-generated.yml

trigger-build:
  stage: triggers
  trigger:
    include:
      - artifact: gitlab-ci-generated.yml
        job: generate-config
